## kali-menu 2025.4.2

=== Makefile ===
SIZES = 16 22 24 32 48 256
NAMES = $(patsubst menu-icons/scalable/%.svg,%,$(wildcard menu-icons/scalable/*/*.svg))

all: polkit-1/actions/org.kali.pkexec.policy
	@$(MAKE) $(TARGETS)

polkit-1/actions/org.kali.pkexec.policy: x11-apps bin/generate-polkit
	./bin/generate-polkit >polkit-1/actions/org.kali.pkexec.policy

install:

clean:

# Add dynamic rules to convert all SVG files into various PNG
define svg_to_png
menu-icons/$(1)x$(1)/$(2).png: menu-icons/scalable/$(2).svg
	mkdir -p $(dir menu-icons/$(1)x$(1)/$(2).png)
	rsvg-convert -o $$@ -w $(1) -h $(1) $$<

TARGETS += menu-icons/$(1)x$(1)/$(2).png

endef

$(foreach SIZE,$(SIZES),$(foreach NAME,$(NAMES),$(eval $(call svg_to_png,$(SIZE),$(NAME)))))

## kali-menu 2025.2.2

=== debian/changelog ===
kali-menu (2025.2.2) kali-dev; urgency=medium

  * Update bloodhound desktop file

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 29 Apr 2025 11:39:03 +0200

kali-menu (2025.2.0) kali-dev; urgency=medium

  * Update xfreerdp command
  * Add reference links
  * Bump Standards-Version

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 15 Apr 2025 14:22:55 +0200

kali-menu (2025.1.1) kali-dev; urgency=medium

  * Set Rules-Requires-Root: no, bump standards version

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 21 Jan 2025 23:03:18 +0700

kali-menu (2025.1.0) kali-dev; urgency=medium

  * Update desktop-files/kali-xfreerdp.desktop

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 21 Jan 2025 13:07:38 +0700

kali-menu (2024.4.0) kali-dev; urgency=medium

  [ Daniel Ruiz de Alegría ]
  * Add new tools from top-100 list
  * Remove xhydra from desktop-files-data
  * Add new zenmap desktop files to desktop-files-data
  * Add zenmap desktop files
  * Add executable permissions to bin/generate-desktop-files
  * Add polkit rules for zenmap
  * Fix sara icon
  * Add extra tools from top-100 list
  * Update zenmap desktop files
  * Remove hardcoded 'Categories' tag for kali-offsec links
  * Add zenmap icon

  [ Sophie Brun ]
  * Remove obsolete hydra-gtk

  [ Caster ]
  * add Sara icon

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 25 Nov 2024 16:48:27 +0100

kali-menu (2024.3.1) kali-dev; urgency=medium

  [ daniruiz ]
  * Add script to auto-generate desktop-files

  [ Daniel Ruiz de Alegría ]
  * Update all icons
  * Add netexec icon
  * Update desktop files

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Thu, 11 Jul 2024 13:56:45 +0200

kali-menu (2024.3.0) kali-dev; urgency=medium

  [ Daniel Ruiz de Alegría ]
  * Display that above needs to be run as root
  * Add snort
  * Improve snort icon borders
  * Remove wrong StartupWMClass parameter from gobuster
  * Update StartupWMClass parameters for webscarab and zaproxy
  * Remove missing custom action from maltego
  * Don't start terminal for watobo
  * Update some X-Kali-Package parameters
  * Update desktop files based on automated script
  * Add helper-scripts
  * Update desktop files based on automated script
  * Update desktop files based on automated script
  * Update comment
  * Update desktop files based on automated script
  * Copy data from overwritten desktop files
  * Rename some desktop files based on exec command
  * Update desktop files based on automated script
  * Update kali specific apps and links
  * Rename and update starkiller desktop file
  * Update kali-clang++.desktop
  * Update ettercap.desktop
  * Update snapper-gui.desktop
  * Rename and update more desktop files
  * Make helper-scripts executable
  * Regenerate pwsh and maltego-installer desktop files from automated script
  * Remove --help parameter from grokevt-parselog to follow same params as all grokevt-* commands
  * Remove old deleted desktop files
  * Remove old archived desktop files
  * Rename and update iodine desktop file
  * Remove yersinia-graphical as it has been disabled in the package
  * Remove more desktop files for packages that have been removed
  * Update last desktop files
  * Remove android-sdk desktop file as the command no longer exists
  * Fix missing Categories tag in desktop files
  * Add xplico back to forensics category

  [ Steev Klimaszewski ]
  * d/upstream: Add upstream metadata

  [ daniruiz ]
  * Update icons based on automated script output

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Thu, 11 Jul 2024 12:11:24 +0200

kali-menu (2023.4.7) kali-dev; urgency=medium

  [ Caster ]
  * menu icon for above sniffer

  [ Daniel Ruiz de Alegría ]
  * Add new icon unicornscan
  * Add new icon dnsniff
  * Add new icon dnsmap
  * Add new icon cryptsetup
  * Add new icon smtp-user-enum.svg
  * Set new icons
  * Fix incorrect icon for dsniff
  * Generate new png icons
  * Remove wrong icon
  * Add sparrow-wifi to menu
  * Add sparrow-wifi to policykit
  * Improve sparrow-wifi icon
  * Fix desktop file name and add comment
  * Add terminal wrapper to above desktop-file Exec
  * Add icon for above

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 02 Feb 2024 10:07:23 +0100

kali-menu (2023.4.6) kali-dev; urgency=medium

  * Improve bully icon visibility over dark background
  * Improve eyewitness icon
  * Improve metagoofil icon
  * Update amass and mdk3 icon
  * Improve netdiscover icon
  * Add havoc
  * Improve havoc exec

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 17 Nov 2023 14:11:59 +0100

kali-menu (2023.4.5) kali-dev; urgency=medium

  * Move kali-gvm.svg to scalable/apps
  * Add dirsearch
  * Generate rekono icons
  * Add villain
  * Add comment to kali-villain.desktop and fix typo
  * Fix rekono icon conflict with rekono-kbx package

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 25 Aug 2023 10:47:08 +0200

kali-menu (2023.4.4) kali-dev; urgency=medium

  * Move starkiller oneliner to powershell-empire helper script

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 22 Aug 2023 09:54:13 +0200

kali-menu (2023.4.3) kali-dev; urgency=medium

  [ Daniel Ruiz de Alegría ]
  * Upload missing file rekono.svg

  [ Arnaud Rebillout ]
  * Fix starkiller menu app (daniruiz)

 -- Arnaud Rebillout <arnaudr@kali.org>  Mon, 21 Aug 2023 21:59:18 +0700

kali-menu (2023.4.2) kali-dev; urgency=medium

  * Update gvm icon
  * Regenerage png icons

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 18 Aug 2023 12:18:24 +0200

kali-menu (2023.4.1) kali-dev; urgency=medium

  * Update gvm icons (we had the old openvas logo)

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 17 Aug 2023 10:22:52 +0200

kali-menu (2023.3.3) kali-dev; urgency=medium

  * Improve installation of kali-purple categories
  * Fix category name
  * Add gvm to 'Identify' purple category

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 10 Jul 2023 11:12:50 +0200

kali-menu (2023.3.2) kali-dev; urgency=medium



=== debian/control ===
Source: kali-menu
Section: x11
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Devon Kearns <dookie@kali.org>,
           Mati Aharoni <muts@kali.org>,
           Raphaël Hertzog <buxy@kali.org>,
           Steev Klimaszewski <steev@kali.org>,
           Ben Wilson <g0tmi1k@kali.org>,
           Sophie Brun <sophie@offensive-security.com>,
           Arnaud Rebillout <arnaudr@kali.org>,
           Daniel Ruiz de Alegría <daniruiz@kali.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 librsvg2-bin,
Standards-Version: 4.7.2
Vcs-Git: https://gitlab.com/kalilinux/packages/kali-menu.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/kali-menu

Package: kali-menu
Architecture: all
Depends:
 libdpkg-perl,
 libfile-fcntllock-perl,
 pkexec,
 sudo,
 ${misc:Depends},
 ${perl:Depends},
Suggests:
 kali-grant-root,
Breaks:
 dradis (<< 3.1.0~rc2),
 python-faraday (<< 3.10.0),
Description: Kali Linux custom menu
 This package provides a custom menu for Kali Linux.
 .
 It is used by any desktop that complies with the Freedesktop menu
 specification at http://standards.freedesktop.org/menu-spec/menu-spec-1.0.html

## kali-menu 2025.2.3

=== debian/changelog ===
kali-menu (2025.2.3) kali-dev; urgency=medium

  [ Daniel Ruiz de Alegría ]
  * Add initial script to automate tool categories
  * Refactor categories-script for yaml data
  * Write categories to desktop-files
  * Generate menu xml file
  * Refactor categories script
  * Set generate-menu script to work with the build-menu script
  * Escape xml special characters
  * Rename menu script
  * Remove 'Encoding'  parameter as it is deprecated
  * Add tools to categories.yaml
  * Move 'Kali & Offsec Links' inside system category and organize forensics
  * Add icons to new categories
  * Minify svg for category icons
  * Finish organizing all tools but VoIP and Wireless
  * Generate new icons for categories
  * Add missing desktop files and fix some tool names
  * Generate first version of kali-menu redesign
  * Fix file permissions
  * Update changelog for 2025.2.1
  * Configure icons for Kali Purple categories
  * Add data for Kali Purple categories
  * Add translations to purple categories
  * Regenerate menu layout
  * Reorganize 'Discovery' and 'Credential Access' categories
  * Fix yaml indentation
  * Configure new category icons and regenerate the menu layout
  * Add missing subcategory icon
  * Minor tweaks
  * Update desktop files data
  * Minor fix for hardcoded 'Category=' parameters
  * Add linpeas and winpeas to the menu
  * Add rubeus to the menu
  * Update menu script to generate separate menus for Kali and Kali Purple
  * Generate menu xml files
  * Move 'Settings' category to 'Usual Applications'
  * Generate usual-apps category
  * Add icon for usual-applications
  * Make usual-apps icon square
  * Improve contrast of category icons
  * Generate png icons for categories
  * Finish 'Initial Access' and 'Reconnaissance' categories
  * Minor tweaks to categories.yaml
  * Add bluetooth, wireless and some top 100 tools
  * Regenerate menu layout
  * Add icons for new subcategories
  * Minor fixes
  * Add icons for subcategories bluetooth, voip and radio-frequency
  * Add icon for subcategory protocol-tunneling
  * Improve contrast for protocol-tunneling icon
  * Generate png icons for categories
  * Check which tools don't have a category
  * Add tools with missing data
  * Minor tweaks and additions
  * Force reinstallation of menu file
  * Regenerate desktop files
  * Add keylogger icon
  * Add Laboratories category
  * Add missing tool
  * Generate png icons for categories
  * Generate Laboratories category
  * Improve laboratories and reporting-tools icons
  * Generate png icons for categories
  * Add freeradius to wifi-credential-access

  [ daniruiz ]
  * Fix regex for Categories tag
  * Generate new desktop-files

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Sat, 10 May 2025 05:25:43 +0200

kali-menu (2025.2.1) kali-experimental; urgency=medium

  [ Daniel Ruiz de Alegría ]
  * Add initial script to automate tool categories
  * Refactor categories-script for yaml data
  * Write categories to desktop-files
  * Generate menu xml file
  * Refactor categories script
  * Set generate-menu script to work with the build-menu script
  * Escape xml special characters
  * Rename menu script
  * Fix regex for Categories tag
  * Generate new desktop-files
  * Remove 'Encoding'  parameter as it is deprecated
  * Add tools to categories.yaml
  * Move 'Kali & Offsec Links' inside system category and organize forensics
  * Add icons to new categories
  * Minify svg for category icons
  * Finish organizing all tools but VoIP and Wireless
  * Generate new icons for categories
  * Add missing desktop files and fix some tool names
  * Generate first version of kali-menu redesign
  * Fix file permissions

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 25 Apr 2025 13:31:20 +0200

## kali-menu 2025.2.5

=== debian/changelog ===
kali-menu (2025.2.5) kali-dev; urgency=medium

  * Add nfc subcategory icon
  * Show dvwa-stop only in services subcategory
  * Generate png icons for nfc subcategory

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 13 May 2025 23:48:17 +0200

kali-menu (2025.2.4) kali-dev; urgency=medium

  * Add last icons and tools
  * Add missing tool data
  * Regenerate menu layout
  * Generate png icons
  * Icon tweaks
  * Generate png icons
  * Update gophish and wash icons
  * Add icon for creddump7
  * Generate png icons for creddump7

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 13 May 2025 23:27:55 +0200

## kali-menu 2025.2.6

=== debian/changelog ===
kali-menu (2025.2.6) kali-dev; urgency=medium

  * Add maltego-installer to menu
  * Sort tools in categories-purple.yml
  * Update maltego-installer desktop-file

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Wed, 14 May 2025 22:03:36 +0200

## kali-menu 2025.2.7

=== debian/changelog ===
kali-menu (2025.2.7) kali-dev; urgency=medium

  * Hide imagemagick-7.q16 from menu
  * Hide some menu apps
  * Hide duplicated xfreerdp3 app

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 16 May 2025 16:38:16 +0200

## kali-menu 2025.3.0

=== debian/changelog ===
kali-menu (2025.3.0) kali-dev; urgency=medium

  * Add some icons for top 100 tools
  * Add binwalk3
  * Add extra tools from top100
  * Add icon for wcvs
  * Generate new icons
  * Regenerate menu
  * Fix ligolo apps
  * Rename web-cache-vulnerabily-scanner
  * Fix visibility of wifiphiser icon
  * Regenerate icons2
  * Fix ligolo-common-binaries
  * Generate icon for ligolo-ng-common-binaries
  * Revert "Rename web-cache-vulnerabily-scanner"

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 13 Jun 2025 09:12:15 +0200

## kali-menu 2025.3.1

=== debian/changelog ===
kali-menu (2025.3.1) kali-dev; urgency=medium

  [ Daniel Ruiz de Alegría ]
  * Add new packaged tools for 2025.2
  * Generate new desktop files
  * Add donut desktop file
  * Add new tools to menu
  * Add icons for new tools
  * Set categories for new added tools
  * Add missing kerberoast to desktop-files-data
  * Move passing-the-hash from 'Credential Access' to 'Defense Evasion'
  * Fix file name for detect-it-easy
  * Generate menu
  * Generate menu icons
  * Add icon for kerberoasting subcategory

  [ Arnaud Rebillout ]
  * Drop 'Rules-Requires-Root: no' from d/control

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 02 Sep 2025 14:18:32 +0200

## kali-menu 2025.3.2

=== debian/changelog ===
kali-menu (2025.3.2) kali-dev; urgency=medium

  * Remove bpf-linker as it's not a Kali tool
  * Include menu changes from Waqar Mohsan
  * Regenerate menu
  * Regenerate menu
  * Generate icons

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Wed, 03 Sep 2025 17:05:28 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
            Sophie Brun <sophie@offensive-security.com>,
            Arnaud Rebillout <arnaudr@kali.org>,
            Daniel Ruiz de Alegría <daniruiz@kali.org>,
-Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  librsvg2-bin,

=== debian/tests/control ===
Tests: test-update-kali-menu.sh
Restrictions: needs-root
Depends: @

## kali-menu 2025.4.1

=== debian/changelog ===
kali-menu (2025.4.1) kali-dev; urgency=medium

  * Update script to generate gnome folders
  * Generate gnome folders
  * Generate gnome folders for Kali Purple
  * Configure new package kali-menu-purple

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Wed, 24 Sep 2025 18:01:11 +0200

kali-menu (2025.4.0) kali-dev; urgency=medium

  * Add new tools in top-100
  * Regenerate menu
  * Add bopscrk icon
  * Add donut icon
  * Add gitxray icon
  * Add rubeus icon
  * Add sharphound icon
  * Add tinja icon
  * Add gemini-cli icon
  * Add bloodyAD icon
  * Add findomain icon
  * Add hexwalk icon
  * Add mxcheck icon
  * Add obsidian
  * Add pyinstaller
  * Add icon for seclists
  * Add icon for feroxbuster
  * Add icon for hoaxshell
  * Add photorec icon
  * Add testdisk icon
  * Add chisel icon
  * Generate menu
  * Generate icons
  * Add findomain, gemini-cli, hexwalk, and mxcheck to menu data
  * Generate menu

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Thu, 11 Sep 2025 10:27:40 +0200

## kali-menu 2025.4.2

=== debian/changelog ===
kali-menu (2025.4.2) kali-dev; urgency=medium

  * Add correct order to kali folders in gnome's app grid
  * Update script to organize gnome app grid folders

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Thu, 23 Oct 2025 09:25:13 +0200

=== debian/control ===
--- 
+++ 
@@ -36,3 +36,15 @@
  .
  It is used by any desktop that complies with the Freedesktop menu
  specification at http://standards.freedesktop.org/menu-spec/menu-spec-1.0.html
+
+Package: kali-menu-purple
+Architecture: all
+Depends:
+  kali-menu,
+Suggests:
+ kali-themes-purple,
+Description: Kali Linux custom menu for Kali Purple
+ This package provides a custom menu for Kali Purple.
+ .
+ It is used by any desktop that complies with the Freedesktop menu
+ specification at http://standards.freedesktop.org/menu-spec/menu-spec-1.0.html

## kali-menu 2025.4.3

=== debian/changelog ===
kali-menu (2025.4.3) kali-dev; urgency=medium

  * Add evil-winrm-py
  * Add hexstrike-ai
  * Generate menu

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 02 Dec 2025 10:27:25 +0100

## kali-menu 2026.1.1

=== debian/changelog ===
kali-menu (2026.1.1) kali-dev; urgency=medium

  * Bring back x-terminal-emulator in policy file

 -- Arnaud Rebillout <arnaudr@kali.org>  Thu, 22 Jan 2026 16:15:35 +0700

kali-menu (2026.1.0) kali-dev; urgency=medium

  [ Daniel Ruiz de Alegría ]
  * Directly launch powershell-empire server
  * Add evil-winrm-py

  [ Arnaud Rebillout ]
  * Update nocheck argument to no_check
  * Case: Offsec -> OffSec
  * Finish removing android-sdk
  * Order x11-apps (and policykit file) alphabetically
  * Various updates in generate-polkit
  * Drop path from x11-apps, and document purpose and format
  * List most common terminals in x11-apps (and policy file)

 -- Arnaud Rebillout <arnaudr@kali.org>  Thu, 22 Jan 2026 16:00:45 +0700

## kali-menu 2026.1.3

=== debian/changelog ===
kali-menu (2026.1.3) kali-dev; urgency=medium

  * Tighten constraint on libdpkg-perl

 -- Arnaud Rebillout <arnaudr@kali.org>  Fri, 23 Jan 2026 10:15:07 +0700

kali-menu (2026.1.2) kali-dev; urgency=medium

  * Rename sickle-tool to sickle-pdk

 -- Arnaud Rebillout <arnaudr@kali.org>  Fri, 23 Jan 2026 09:22:04 +0700

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
 Package: kali-menu
 Architecture: all
 Depends:
- libdpkg-perl,
+ libdpkg-perl (>= 1.23),
  libfile-fcntllock-perl,
  pkexec,
  sudo,
